integration testing client vs architecture
Status: Closed Start date: 2011-11-28

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 100%

Category: d1_integration Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Story Points:    

Description

Subtle mistakes in client implementation, as well as incremental changes in the interface definitions, turn checking the validity of the

client methods a tedious manual chore that needs to be repeated every so often.  Echo tests can isolate the client behavior and test

it more throughly and consistently.

Subtasks:

Task # 2095: django echo service doesn't handle PUT files Closed

Task # 2144: exception service does not return VersionMismatch Closed

Task # 2065: create parser for MethodCrossReference Closed

Task # 2085: test that number of documented api methods equals number of implemented me... Closed

Task # 2066: create test for looping through all API methods and invoking them Closed

Task # 2073: create tests for exception handling Closed

Task # 2074: test that number of parameters agree between documentation and implementat... Closed

Task # 2127: correct bugs and inconsistencies Closed

Task # 2275: run architecture tests Closed

History

#1 - 2011-11-28 23:28 - Rob Nahf

- Status changed from New to In Progress

- Assignee set to Rob Nahf

- % Done changed from 0 to 80

- Estimated time set to 24.00

- Milestone changed from CCI-0.6.4 to CCI-1.0.0

- Category set to d1_integration

#2 - 2011-12-06 14:37 - Dave Vieglais

- Position set to 1

- Position deleted (10)

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#3 - 2012-01-03 13:21 - Dave Vieglais

- Target version changed from Sprint-2011.49-Block.6 to Sprint-2012.01-Block.1.1

- Position set to 1

- Position changed from 1 to 330

- Position deleted (24)

#4 - 2012-01-17 18:06 - Dave Vieglais

- Target version changed from Sprint-2012.01-Block.1.1 to Sprint-2012.03-Block.1.2

- Position deleted (341)

- Position set to 1
#5 - 2012-01-31 17:50 - Dave Vieglais

- Position set to 1

- Position deleted (16)

- Target version changed from Sprint-2012.03-Block.1.2 to Sprint-2012.05-Block.1.3

#6 - 2012-02-07 23:47 - Rob Nahf

- Status changed from In Progress to Closed

found and fixed remaining architectural issues with regards to proper rest calls.
